Bug 675049 - [Cantiga] brightness goes down when switch the screen mode
[Cantiga] brightness goes down when switch the screen mode
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 22:10 EST by Aleksandra Bookwar
Modified: 2014-04-26 03:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-26 03:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (122.99 KB, text/plain)
2011-02-04 06:56 EST, Aleksandra Bookwar
no flags Details
xkbcomp -xkb $DISPLAY - (54.58 KB, text/plain)
2011-02-04 06:57 EST, Aleksandra Bookwar
no flags Details
system log (156.57 KB, text/plain)
2011-02-04 06:58 EST, Aleksandra Bookwar
no flags Details
the only Xorg configuration file from /etc/X11/xorg.conf.d/ (321 bytes, text/plain)
2011-02-04 07:01 EST, Aleksandra Bookwar
no flags Details
xorg.0.log (29.83 KB, text/plain)
2011-02-08 18:34 EST, Aleksandra Bookwar
no flags Details

  None (edit)
Description Aleksandra Bookwar 2011-02-03 22:10:51 EST
Description of problem:

1) The brightness buttons do not work, although they are recognized by the system.
2) Every time i switch the screen mode in "gnome-control-center display" menu, the brightness seem to get -10% adjustment. So after ~5 switchings display looks really dark.

Version-Release number of selected component (if applicable):
the hardware profile
http://www.smolts.org/client/show/pub_fca5319a-da22-4f70-a57f-cb6db60f05
and the Live-i686-image used
http://fedoraproject.org/wiki/Test_Day:2011-02-03_GNOME3_Alpha

How reproducible:
always

Steps to Reproduce:

1a. try Fn+Left/Right arrow button 
result: the brightness icon appears on the screen, but brightness is not changed

1b. gnome-control-center display
2b. switch mode to 800x600 and back several times

results:
mode switching works good(rotating also)
only brightness is lowered
Comment 1 Matěj Cepl 2011-02-04 03:19:10 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* the output of "xkbcomp -xkb $DISPLAY -",
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Aleksandra Bookwar 2011-02-04 06:56:14 EST
Created attachment 476986 [details]
dmesg log
Comment 3 Aleksandra Bookwar 2011-02-04 06:57:27 EST
Created attachment 476987 [details]
xkbcomp -xkb $DISPLAY -
Comment 4 Aleksandra Bookwar 2011-02-04 06:58:18 EST
Created attachment 476988 [details]
system log
Comment 5 Aleksandra Bookwar 2011-02-04 07:01:10 EST
Created attachment 476989 [details]
the only Xorg configuration file from /etc/X11/xorg.conf.d/
Comment 6 Aleksandra Bookwar 2011-02-08 18:34:10 EST
Created attachment 477714 [details]
xorg.0.log

it seems i forgot the main part - Xorg.log

here it comes
Comment 7 Aleksandra Bookwar 2011-04-07 21:59:00 EDT
I tried Fedora Beta TC1 with all updates on the same laptop. And the bug seems to be fixed. Fn-Brightness buttons work, and I can change display resolution without changing the brightness. 

Do not know which update or which package is responsible for the fix.
Comment 8 Fedora End Of Life 2013-04-03 09:32:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Hans de Goede 2014-04-26 03:11:01 EDT
Closing this per comment 7.

Note You need to log in before you can comment on or make changes to this bug.